## org.firebirdsql.gds.impl.jni
Class BlobParameterBufferImp

    java.lang.Object
      org.firebirdsql.gds.impl.jni.BlobParameterBufferImp

All Implemented Interfaces:
  Serializable, BlobParameterBuffer

    public class BlobParameterBufferImp

extends Object
implements BlobParameterBuffer

See Also:
  Serialized Form

Nested Class Summary
`protected static class` `ParameterBufferBase.Argument`
`protected static class` `ParameterBufferBase.NumericArgument`
`protected static class` `ParameterBufferBase.StringArgument`

Field Summary

Fields inherited from interface org.firebirdsql.gds.BlobParameterBuffer
`FILTER_PARAMETER, SOURCE_INTERP, SOURCE_TYPE, TARGET_INTERP, TARGET_TYPE, TYPE, TYPE_SEGMENTED, TYPE_STREAM`

Constructor Summary
`BlobParameterBufferImp()`

Method Summary
`void` `addArgument(int argumentType)`
`void` `addArgument(int argumentType, byte value)`
`void` `addArgument(int type, byte[] content)`
`void` `addArgument(int argumentType, int value)` Set an `int` parameter on this `BlobParameterBuffer`.
`void` `addArgument(int argumentType, String value)`
`boolean` `equals(Object other)`
`int` `getArgumentAsInt(int type)`
`String` `getArgumentAsString(int type)`
`protected List` `getArgumentsList()`
`boolean` `hasArgument(int type)`
`int` `hashCode()`
`void` `removeArgument(int type)`
`protected void` `writeArgumentsTo(ByteArrayOutputStream outputStream)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.firebirdsql.gds.BlobParameterBuffer
`addArgument, addArgument`

Constructor Detail

### BlobParameterBufferImp

    public BlobParameterBufferImp()

Method Detail

### addArgument

    public void addArgument(int argumentType,
                            int value)

  Description copied from interface: `BlobParameterBuffer`
  Set an `int` parameter on this `BlobParameterBuffer`.

  Specified by:
    `addArgument` in interface `BlobParameterBuffer`
  Parameters:
    `argumentType` - The parameter to be set, either an `ISCConstantsone.isc_bpb_*` constant, or one of the fields of this interface
    `value` - The value to set for the given parameter

### addArgument

    public void addArgument(int argumentType,
                            String value)

### addArgument

    public void addArgument(int argumentType,
                            byte value)

### addArgument

    public void addArgument(int argumentType)

### addArgument

    public void addArgument(int type,
                            byte[] content)

### getArgumentAsString

    public String getArgumentAsString(int type)

### getArgumentAsInt

    public int getArgumentAsInt(int type)

### hasArgument

    public boolean hasArgument(int type)

### removeArgument

    public void removeArgument(int type)

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### writeArgumentsTo

    protected void writeArgumentsTo(ByteArrayOutputStream outputStream)

### getArgumentsList

    protected List getArgumentsList()

Copyright © 2001-2010. All Rights Reserved.